Update a workspace member access assignment
curl --request PATCH \
--url https://api.reconlayer.com/v1/member-access/{accessId} \
--header 'Content-Type: application/json' \
--data '
{
"clerkUserId": "<string>"
}
'import requests
url = "https://api.reconlayer.com/v1/member-access/{accessId}"
payload = { "clerkUserId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({clerkUserId: '<string>'})
};
fetch('https://api.reconlayer.com/v1/member-access/{accessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"roles": [
{
"name": "<string>",
"description": "<string>",
"locked": true,
"permissions": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"assignments": [
{
"id": "<string>",
"email": "jsmith@example.com",
"clerkUserId": "<string>",
"invitedByUserId": "<string>",
"activatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{}โ๏ธ Settings & Access
Update a workspace member access assignment
PATCH
/
v1
/
member-access
/
{accessId}
Update a workspace member access assignment
Headers
Minimum string length:
1Minimum string length:
1Path Parameters
Minimum string length:
1Body
application/json
โI
